summaryrefslogtreecommitdiffstats
path: root/multimedia/GoogleEarth/GoogleEarth.SlackBuild
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-12 17:42:30 +0200
committer David Somero2010-05-12 17:42:30 +0200
commitd356aec96971eaa82e92f259717fab623fa35dd3 (patch)
tree162bef5538318d7397c2c3170726ac6eb6fc8742 /multimedia/GoogleEarth/GoogleEarth.SlackBuild
parentdc132ac1e62853af86244dabe5d5d929dd2af695 (diff)
downloadslackbuilds-d356aec96971eaa82e92f259717fab623fa35dd3.tar.gz
multimedia/GoogleEarth: Updated for version 5.0.11733.9347
Diffstat (limited to 'multimedia/GoogleEarth/GoogleEarth.SlackBuild')
-rw-r--r--multimedia/GoogleEarth/GoogleEarth.SlackBuild14
1 files changed, 8 insertions, 6 deletions
diff --git a/multimedia/GoogleEarth/GoogleEarth.SlackBuild b/multimedia/GoogleEarth/GoogleEarth.SlackBuild
index 51a10c9c86..311e40192b 100644
--- a/multimedia/GoogleEarth/GoogleEarth.SlackBuild
+++ b/multimedia/GoogleEarth/GoogleEarth.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for google-earth
-# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
+# Copyright 2007-2009 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@
# and to Daniel de Kok and Alan_Hicks for their comments.
PRGNAM=GoogleEarth
-VERSION=4.3.7284.3916
+VERSION=${VERSION:-5.0.11733.9347}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -58,8 +58,8 @@ find . \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Sadly, Google has some rather inconsisten permissions for normal files. This
-# should deal with them rather nicely.
+# Sadly, Google has some rather inconsistent permissions for normal files;
+# this should deal with them rather nicely.
find . \( -name "*.png" -o -name "*.kml" -o -name "*.xml" \) \
-exec chmod 0644 {} \;
@@ -67,8 +67,10 @@ mv $PKG/opt/$PRGNAM/bin/googleearth $PKG/opt/$PRGNAM
rmdir $PKG/opt/$PRGNAM/bin
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
# Let's use the information from the included postinstall.sh